package com.imprimelibros.erp.login.dto;

import jakarta.validation.constraints.Email;
import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.Size;

public class SignupForm {

    @NotBlank(message = "{usuarios.error.correo}")
    @Email(message = "{usuarios.error.correo.invalido}")
    private String username;

    @NotBlank(message = "{usuarios.error.nombre}")
    private String name;

    @NotBlank(message = "{usuarios.error.contraseña}")
    @Size(min = 6, message = "{usuarios.error.contraseña.tamaño}")
    private String password;

    @NotBlank(message = "{usuarios.error.confirmPassword.requerida}")
    private String passwordConfirm;

    // getters/setters
    public String getUsername() { return username; }
    public void setUsername(String u) { this.username = u; }
    public String getName() { return name; }
    public void setName(String n) { this.name = n; }
    public String getPassword() { return password; }
    public void setPassword(String p) { this.password = p; }
    public String getPasswordConfirm() { return passwordConfirm; }
    public void setPasswordConfirm(String pc) { this.passwordConfirm = pc; }
}

